<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__scb__i2c__master__xfer__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_scb_i2c_master_xfer_config_t</compoundname>
    <includes local="no">cy_scb_i2c.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__scb__i2c__master__xfer__config__t_1ad593c8662c67ee3d7b766d1bfac64639" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_scb_i2c_master_xfer_config_t::slaveAddress</definition>
        <argsstring />
        <name>slaveAddress</name>
        <briefdescription>
<para>The 7-bit right justified slave address to communicate with. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" bodystart="601" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" line="601" />
      </memberdef>
      <memberdef id="structcy__stc__scb__i2c__master__xfer__config__t_1a17fa9b9a817e002381f07c4982abaffa" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_scb_i2c_master_xfer_config_t::buffer</definition>
        <argsstring />
        <name>buffer</name>
        <briefdescription>
<para>The pointer to the buffer for data to read from the slave or data to write into the slave. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" bodystart="607" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" line="607" />
      </memberdef>
      <memberdef id="structcy__stc__scb__i2c__master__xfer__config__t_1a4afeea04f622380e0c1113cc4bfbdea6" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_scb_i2c_master_xfer_config_t::bufferSize</definition>
        <argsstring />
        <name>bufferSize</name>
        <briefdescription>
<para>The size of the buffer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" bodystart="610" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" line="610" />
      </memberdef>
      <memberdef id="structcy__stc__scb__i2c__master__xfer__config__t_1a2e158df2a2854d193d589021c2128aa4" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_scb_i2c_master_xfer_config_t::xferPending</definition>
        <argsstring />
        <name>xferPending</name>
        <briefdescription>
<para>The transfer operation is pending - the stop condition will not be generated. </para>        </briefdescription>
        <detaileddescription>
<para>A new transfer starts from start condition and ends with or without stop condition. The stop condition releases I2C bus from master control. When stop is not generated master keeps bus control (transfer is pending) and can issue the next transfer using restart condition instead of start. The I2C driver automatically generates start or restart condition depends on current state. Note if master lost arbitration during transfer it stops control the bus and does not send/receive data or generate stop condition - the transfer ends. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" bodystart="626" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" line="626" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>The I2C Master transfer structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="627" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" bodystart="598" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_i2c.h" line="599" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__scb__i2c__master__xfer__config__t_1a17fa9b9a817e002381f07c4982abaffa" virt="non-virtual"><scope>cy_stc_scb_i2c_master_xfer_config_t</scope><name>buffer</name></member>
      <member prot="public" refid="structcy__stc__scb__i2c__master__xfer__config__t_1a4afeea04f622380e0c1113cc4bfbdea6" virt="non-virtual"><scope>cy_stc_scb_i2c_master_xfer_config_t</scope><name>bufferSize</name></member>
      <member prot="public" refid="structcy__stc__scb__i2c__master__xfer__config__t_1ad593c8662c67ee3d7b766d1bfac64639" virt="non-virtual"><scope>cy_stc_scb_i2c_master_xfer_config_t</scope><name>slaveAddress</name></member>
      <member prot="public" refid="structcy__stc__scb__i2c__master__xfer__config__t_1a2e158df2a2854d193d589021c2128aa4" virt="non-virtual"><scope>cy_stc_scb_i2c_master_xfer_config_t</scope><name>xferPending</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>